
nodext = require 'nodext'
path = require 'path'

express = require 'express'

exports.extension = class JQueryExtension extends nodext.Extension
  name: 'JQueryExtension'
  config: {}

  registerRoutes: (server) ->

    ## Just send configured one
    if path.extname(@config.urlPrefix) == '.js'
      minified = 
        if @config.min
          '.min' 
        else 
          ''

      jquery = "jquery-#{@config.version||'1.7.2'}#{minified}.js"
      jqueryPath = path.join __dirname, 'jquery', jquery

      server.get @config.urlPrefix, (req, res, next)->
        options =
          path: jqueryPath
          getOnly: true
        express.static.send req, res, next, options

    ## Make the directory available
    else
      server.use @config.urlPrefix, express.static __dirname + '/jquery'